Subject: bug#58820: [PATCH] Calculate age cutoff at n-th midnight instead of n*24h mark

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 11 Oct 2023 07:57:24 -0700

Eric Abrahamsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Łukasz Stelmach <[email-masked]> writes:
>>
>>> * lisp/gnus/gnus-sum.el (gnus-summary-limit-to-age): Calculate cutoff to
>>> point to n-th past midnight (1st is 00:00 today).  This way messages sent
>>> between n*24h mark and the next midnight will be excluded (or included
>>> if limitting to younger messages), which seems more intuitive when users
>>> are asked to enter age in days.
>>
>> Eric, do you have any comments on this patch?  Thanks in advance.
>
> Hi!
>
> I do think this a reasonable change, thanks to Łukasz for the report.
> I'd like to apply the attached, which is mostly Łukasz's code with the
> addition of a simplification of the argument reading.
>
> I've also changed the docstring a bit, as I found the original change a
> little hard to understand. However, this might not be any better!
>
> WDYT?

I feel fairly okay about this patch, so will apply tomorrow unless
anyone complains.

Thanks,
Eric